#define PASTIX_INT_KIND   @PASTIX_INT_KIND@
#define pastix_int_t      INTEGER(kind=@PASTIX_INT_KIND@)
#define pastix_uint_t     unsigned INTEGER(kind=@PASTIX_INT_KIND@)
#define pastix_data_ptr_t INTEGER(kind=@CMAKE_SIZEOF_VOID_P@)
#define MPI_PASTIX_INT    MPI_INTEGER@PASTIX_INT_KIND@
#cmakedefine PASTIX_FLOAT_Z
#cmakedefine PASTIX_FLOAT_C
#if (defined PASTIX_FLOAT_C || defined PASTIX_FLOAT_Z)
#  define pastix_float_t    COMPLEX(kind=@PASTIX_FLOAT_KIND@)
#  define MPI_PASTIX_FLOAT  MPI_COMPLEX@MPI_PASTIX_FLOAT_SIZE@
#else
#  define pastix_float_t    REAL(kind=@PASTIX_FLOAT_KIND@)
#  define MPI_PASTIX_FLOAT  MPI_REAL@MPI_PASTIX_FLOAT_SIZE@
#endif
